Package: io.vertx.groovy.ext.shell.system

## [Groovy] Class JobController

- io.vertx.groovy.ext.shell.system.JobController

- The job controller.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JobController (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close(io.vertx.core.Handler<java.lang.Void> completionHandler)` Close the controller and terminate all the underlying jobs, a closed controller does not accept anymore jobs.
    `void` | `close()` Close the shell session and terminate all the underlying jobs.
    `Job` | `createJob(Process process, java.lang.String line)` Create a job wrapping a process.
    `Job` | `foregroundJob()` @return Returns: the current foreground job
    `java.lang.Object` | `getDelegate()`
    `Job` | `getJob(int id)` Returns an active job in this session by its .
    `java.util.Set<Job>` | `jobs()` @return Returns: the active jobs

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### JobController(java.lang.Object delegate)

  - ### Method Detail

    - #### void close(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Close the controller and terminate all the underlying jobs, a closed controller does not accept anymore jobs.

      Parameters:
        completionHandler

    - #### void close()

      Close the shell session and terminate all the underlying jobs.

    - #### Job createJob(Process process, java.lang.String line)

      Create a job wrapping a process.

      Returns:
        the created job
      Parameters:
        `process` - the process
        `line` - the line

    - #### Job foregroundJob()

      Returns:
        the current foreground job

    - #### java.lang.Object getDelegate()

    - #### Job getJob(int id)

      Returns an active job in this session by its .

      Returns:
        the job of when not found
      Parameters:
        `id` - the job id

    - #### java.util.Set<Job> jobs()

      Returns:
        the active jobs